"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x108e62ac0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x108e62b60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108e62c00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108e62ca0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x108e62d40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x108e62de0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108e62e80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108e62f20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108e62fc0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108e63060>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x108e63100>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x108e631a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x108e63240>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x108e632e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x108e63380>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x108e63420>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x108e634c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x108e63560>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x108e63600>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x108e636a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x108e63740>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x108e637e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x108e63880>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x108e63920>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x108e639c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x108e63a60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x108e63b00>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x108e63ba0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x108e63c40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x108e63ce0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x108e63d80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x108e63e20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x108e63ec0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x108e63f60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x108ea80e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8180>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8220>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108ea82c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8360>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8400>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x108ea84a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8540>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108ea85e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8680>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8720>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x108ea87c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8860>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8900>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x108ea89a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8a40>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8ae0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8b80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8c20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8cc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8d60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8e00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8ea0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8f40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108ea8fe0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9080>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9120>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108ea91c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9260>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9300>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x108ea93a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9440>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108ea94e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9580>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9620>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108ea96c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9760>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9800>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x108ea98a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9940>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x108ea99e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9a80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9b20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9bc0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9c60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9da0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9d00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9e40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9ee0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x108ea9f80>)]
name: str = 'fr_HOCCN'
